This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 574949

Summary: udev ruleset prevents usb-storage mount of Samsung Reclaim phone
Product: [Fedora] Fedora Reporter: Jeff Garzik <jgarzik>
Component: udevAssignee: Harald Hoyer <harald>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: harald, jonathan, peterm
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: udev-145-19.fc12 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-03-25 18:36:19 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Jeff Garzik 2010-03-18 18:10:58 EDT
Description of problem:
If file /lib/udev/rules.d/61-option-modem-modeswitch.rules is present, rules are wrong applied to my phone, preventing usb_storage from working.

If the file /lib/udev/rules.d/61-option-modem-modeswitch.rules is deleted, usb_storage successfully attaches to my brand new Samsung Reclaim phone.

Version-Release number of selected component (if applicable):
udev-145-15.fc12.i686

How reproducible:
always

Steps to Reproduce:
1. attach Samsung Reclaim phone
2. on phone menu, select Tools / Mass Storage / Connect to PC
3. use "dmesg" to watch usb_storage fail to connect
4. delete file /lib/udev/rules.d/61-option-modem-modeswitch.rules
5. repeat step #2
6. watch usb_storage successfully connect to phone
  
Actual results:
usb_storage fails to utilize phone's mass storage

Expected results:
mount and use phone's mass storage device.

Additional info:
See linux-usb mailing list thread at http://marc.info/?t=126893533300019&r=1&w=2

This appears to be a known problem with 61-option-modem-modeswitch.rules!
Comment 1 Fedora Update System 2010-03-19 07:16:59 EDT
udev-145-16.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/udev-145-16.fc12
Comment 2 Jeff Garzik 2010-03-19 14:55:14 EDT
I confirm that udev-145-16.fc12 fixes the problem.

However, booting with udev-145-16.fc12 (from the build link in comment #1), the Fedora 12 boot on my i686 machine says

Starting udev:                              [FAILED]
Comment 3 Fedora Update System 2010-03-23 19:39:58 EDT
udev-145-19.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update udev'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/udev-145-19.fc12
Comment 4 Fedora Update System 2010-03-25 18:35:24 EDT
udev-145-19.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.